Subject: Re: [PATCHv2 3/9] macb: unify at91 and avr32 platform data

From: Russell King - ARM Linux <[email-masked]>
Date: Fri, 18 Mar 2011 15:54:28 +0000

On Fri, Mar 18, 2011 at 03:48:39PM +0000, Jamie Iles wrote:
> On Fri, Mar 18, 2011 at 03:41:18PM +0000, Russell King - ARM Linux wrote:
> > On Thu, Mar 17, 2011 at 09:51:01PM +0000, Jamie Iles wrote:
> > > On Thu, Mar 17, 2011 at 09:34:03AM +0000, Jamie Iles wrote:
> > > > Ok, I'll rename to macb_platform_data and update at91_ether to use 
> > > > that with a comment describing that we're sharing the platform data 
> > > > with macb.  At least that gets rid of the preprocessor stuff in 
> > > > board.h for at91 too.
> > > 
> > > So here's the updated patch with changes to the at91_ether driver to 
> > > share the data with macb.
> > > 
> > > Russell, are you happy to take this series?  If so, how would you prefer 
> > > it, in the patch system or as a git pull?
> > 
> > As Nicolas Ferre is listed in MAINTAINERS as being responsible for the
> > MACB driver, I think he should at last Ack these patches first.
> 
> OK, that's absolutely fine with me.
> 
> > I'm also concious of the fact that Linus complains if my tree contains
> > changes for drivers/ stuff as well as ARM stuff, so I'm nervous about
> > taking it as-is.  So, I'd rather see drivers stuff separated as much
> > as possible from the arch updates.
> 
> I happy to split the driver and arch updates, but I'm not sure that it 
> can be done in such a way that platforms would build between the arch 
> and driver merges.
> 
> > I'm also concious that this has become ready for potentially merging
> > during the merge window, and therefore hasn't had previous exposure
> > in linux-next, and so should wait until the next merge window.  I do
> > feel that I'm going to be yelled at for saying that... but I'm sure
> > I'll also be yelled at if I did take it.
> 
> I don't have any problem with waiting until the next merge window, and 
> to be honest I'd like see these patches have some time in next as I 
> can't test them on devices with a MACB.

Okay, that sounds like a very good reason to wait until Nicolas can
review them and provide an ack.